<app-title-page></app-title-page>
<div class="default-card">
  <div nz-row>
    <div nz-col [nzLg]="8" [nzMd]="24">
      <h2>Ảnh đại diện</h2>
    </div>
    <div nz-col [nzLg]="16" [nzMd]="24">
      <div class="clearfix">
        <nz-upload
          class="avatar-uploader float-left mr-3"
          nzAction="https://jsonplaceholder.typicode.com/posts/"
          nzName="avatar"
          nzListType="picture-card"
          [nzShowUploadList]="false"
          [nzBeforeUpload]="beforeUpload"
          (nzChange)="handleChange($event)">
          <ng-container *ngIf="!avatarUrl">
            <i class="upload-icon" nz-icon [type]="loading ? 'loading' : 'plus'"></i>
            <div class="ant-upload-text">Upload</div>
          </ng-container>
          <img *ngIf="avatarUrl" [src]="avatarUrl" class="avatar"/>
        </nz-upload>

        <div>
          <h3>Tải lên ảnh mới</h3>
          <p>Kích thước ảnh tối đa 2MB</p>
          <button nz-button nzType="danger">Xoá ảnh đại diện</button>
        </div>
      </div>
    </div>
  </div>

  <nz-divider></nz-divider>

  <div nz-row style="padding-bottom: 100px">
    <div nz-col [nzLg]="8" [nzMd]="24">
      <h2>Thông tin cá nhân</h2>
    </div>
    <div nz-col [nzLg]="16" [nzMd]="24">
      <div nz-form nzLayout="vertical">
        <div class="d-flex">
          <nz-form-item class="flex-fill">
            <nz-form-label>Tài khoản</nz-form-label>
            <nz-form-control>
              <input nz-input readonly value="nicholasV"/>
            </nz-form-control>
          </nz-form-item>
          <div class="ml-2">
            <nz-form-item>
              <nz-form-label>ID</nz-form-label>
              <nz-form-control>
                <input nz-input readonly value="0929"/>
              </nz-form-control>
            </nz-form-item>
          </div>
        </div>

        <nz-form-item>
          <nz-form-label>Họ và tên</nz-form-label>
          <nz-form-control>
            <input nz-input value="Nicholas Runolfsdottir V"/>
          </nz-form-control>
        </nz-form-item>

        <nz-form-item>
          <nz-form-label>Địa chỉ email</nz-form-label>
          <nz-form-control>
            <input nz-input value="15110129@hcmute.edu.vn"/>
          </nz-form-control>
        </nz-form-item>

        <nz-form-item>
          <nz-form-label>Số điện thoại</nz-form-label>
          <nz-form-control>
            <input nz-input value="0123456789"/>
          </nz-form-control>
        </nz-form-item>

        <div nz-row nzType="flex" nzJustify="space-between">
          <button nz-col nz-button nzType="primary" routerLink="/users">Lưu thay đổi</button>
          <button nz-col nz-button nzType="default" routerLink="/users">Hủy</button>
        </div>
      </div>
    </div>
  </div>
</div>
